Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160842 - gnome-vfs-daemon crashes when trying to list SMB directory with extended chars
Summary: gnome-vfs-daemon crashes when trying to list SMB directory with extended chars
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-vfs
Version: 4
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-17 18:57 UTC by John William
Modified: 2008-08-02 23:40 UTC (History)
0 users

Fixed In Version: f7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-16 17:18:13 UTC


Attachments (Terms of Use)

Description John William 2005-06-17 18:57:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
When trying to list an SMB share with directory names containing extended characters (accented letters), gnome-vfs-daemon goes into an infinite loop, memory usage explodes and eventually machine completely freezes.

Version-Release number of selected component (if applicable):
gnome-vfs2-2.10.0-5.i386

How reproducible:
Always

Steps to Reproduce:
1. Use nautilus to connect to SMB share.
2. Try to open folder on SMB machine with folders containing extended chars.
3. gnome-vfs-daemon goes crazy.
  

Actual Results:  gnome-vfs-daemon goes to 100% CPU and memory usage very quickly spirals out of sight until machine locks up

Expected Results:  show files in directory.

Additional info:

Comment 1 John William 2005-06-18 06:51:52 UTC
This may be related to the fact that mounting Windows shares as smb seems 
broken for extended character sets.

On FC3, for example, I could mount a particular share 
with "smbmount //server1/share smb -o codepage=cp850" and extended characters 
would display correctly. The same command on FC4 gives broken extended 
characters. Using "mount //server1/share smb -t smb -o codepage=cp850" also 
does not work. Using "mount //server1/share smb -t cifs" works correctly, 
however.

Comment 2 CVirus 2005-08-19 13:07:37 UTC
Additinal Info : I have to kill -9 gnome-vfs PID and nautilus PID inorder to
stop this HUGE memory consumption and retreive my lost memory back .. By the way
.. After the ram is all eaten up .. The swap starts to be eaten untill there no
more swap and the PC totally freezes.

Note: After ALL the swap is lost .. The system doesnt start to kill random
applications {AFAIK it should start doing so} but it totally freezes.

Comment 3 Christian Iseli 2007-01-22 11:12:39 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.


Note You need to log in before you can comment on or make changes to this bug.